﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Telerik.Web.UI;


    public class MyHandler : RadBinaryImageHandler
    {
        protected override void ProcessRequestInternal()
        {
            //base.ProcessRequestInternal();

            BinarImageDataContainer dataContainer = ImagePersister.LoadImage();
            if (dataContainer == null)
                return;

            byte[] image = dataContainer.Data;

            if (image == null)
            {
                return;
            }

            var response = HttpContext.Current.Response;
            response.Clear();

            response.BinaryWrite(image);
            response.ContentType = "image/png";

            response.Flush();
        }
    }
